function eeglab( onearg )
eegglobal;
eegconst;

if nargin < 1
	clear global;
	eegglobal;
	initset;
	EEGSET     = cell(MAX_ENTRY, MAX_SET); %10 sets of 10 variables each
	CURRENTSET = 0;
end;

%	Version 0.0
%	arno_delorme@salk.edu

% UPDATE date 	version	remark
%	1102001	0.0	start

% This program is free software; you can redistribute it and/or
% modify it  
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
%if exist('networkdir') cd( networkdir); end;

% menu definition
% --------------- 
eegmainfig;
set(W_MAIN, 'MenuBar', 'none');
first_m = uimenu( W_MAIN, 'Label', 'File');
	uimenu( first_m, 'Label', 'Load eeg', 'CallBack', 'pop_loadeeg; updatemenu;'); 
	uimenu( first_m, 'Label', 'Load set', 'CallBack', 'pop_loadset; updatemenu;'); 
	uimenu( first_m, 'Label', 'Load workspace', 'CallBack', 'pop_loadwks; updatemenu;' );
	uimenu( first_m, 'Label', 'Save set', 'Separator', 'on', 'CallBack', 'pop_saveset; updatemenu;');
	%uimenu( first_m, 'Label', 'Clear sets'   , 'CallBack', 'clear eegSet; eegSet = cell(20, 30); updatemenu;' );
	uimenu( first_m, 'Label', 'Save workspace', 'CallBack', 'pop_savewks; updatemenu;' );
	uimenu( first_m, 'Label', 'Quit', 'Separator', 'on', 'CallBack', 'close(gcf); clear global;');
second_m = uimenu( W_MAIN, 'Label', 'Edit');
	uimenu( second_m, 'Label', 'Create new set', 'CallBack', 'pop_newset; updatemenu;'); 
	uimenu( second_m, 'Label', 'Edit set'    , 'CallBack'  , 'pop_editset(0); updatemenu;');
	uimenu( second_m, 'Label', 'Remove trials/channels'    , 'CallBack'  , 'pop_filtset; updatemenu;');
	uimenu( second_m, 'Label', 'Resample' , 'CallBack', 'pop_resample; updatemenu;');
	uimenu( second_m, 'Label', 'Channel editor', 'Separator', 'on', 'Enable', 'off', 'CallBack', 'pop_editchan; updatemenu;');
	uimenu( second_m, 'Label', 'Copy set'    , 'Separator', 'on', 'CallBack', 'pop_copyset; updatemenu;');
	uimenu( second_m, 'Label', 'Delete set'    , 'CallBack', 'pop_delset; updatemenu;');
third_m = uimenu( W_MAIN, 'Label', 'Plot');
	uimenu( third_m, 'Label', 'EEG average'    , 'CallBack', 'plotavg(1,0);');
	uimenu( third_m, 'Label', 'EEG signal'     , 'CallBack', 'plotset(1);');
	uimenu( third_m, 'Label', 'EEG map'        , 'CallBack', 'pop_topoplot(1);');
	uimenu( third_m, 'Label', 'Compare EEG sets'   , 'CallBack', 'pop_compare; updatemenu;');
	uimenu( third_m, 'Label', 'Component avg.' , 'Separator', 'on', 'CallBack', 'plotavg(0,1);');
	uimenu( third_m, 'Label', 'Component signal' , 'CallBack', 'plotset(0);');
	uimenu( third_m, 'Label', 'Component map'    , 'CallBack', 'pop_topoplot(0);');
fourth_m  = uimenu( W_MAIN, 'Label', 'Tools');
	uimenu( fourth_m, 'Label', 'Standard reject', 'CallBack', 'pop_thresh; updatemenu;');
	uimenu( fourth_m, 'Label', 'Trial reject using ICA', 'CallBack', 'pop_rejectrials; updatemenu;');
	uimenu( fourth_m, 'Label', 'ICA compoenent reject' , 'CallBack', 'pop_rejectcompo;');
	uimenu( fourth_m, 'Label', 'Infomax ICA' , 'Separator', 'on', 'CallBack', 'pop_ica(0); updatemenu;');
	uimenu( fourth_m, 'Label', 'Manual component reject' , 'CallBack', 'pop_dispcomp;');
set_m   = uimenu( W_MAIN, 'Label', 'Sets');
help_m  = uimenu( W_MAIN, 'Label', 'Help', 'CallBack', 'type helpeeglab');
for tmp_index=1:MAX_SET
	EEGMENU(tmp_index) = uimenu( set_m, 'Label', '-----', 'Enable', 'off' );
end;
updatemenu;

