function pop_choosethresh( set_in, th1, th2)
eegglobal;

if nargin < 2
	% popup window parameters
	% -----------------------
	promptstr    = { 'Threhold for signal (current threshold displayed):', 'Threshold for distribution (current threshold displayed):', 'Apply the result (will erase any modification):' };
	inistr       = { num2str(THRESHOLD(2)), num2str(THRESHOLD(3)), 'NO' };
	if nargin < 1
		promptstr = [ {'Set:'} promptstr ];
		inistr    = [ {int2str(CURRENTSET)} inistr ];
	end;	
	result       = inputdlg( promptstr, 'Choose threshold', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	if nargin < 1
		set_in = eval(result{1});
		result = result(2:end);
	end;
	retreiveset(set_in);

	oldth2 = THRESHOLD(2);
	oldth3 = THRESHOLD(3);
	THRESHOLD(2) = eval( result{1} );
	THRESHOLD(3) = eval( result{2} );
	switch result{3}
	 	case 'YES', apply = 1;
	 	otherwise, apply = 0;
	end;  		
else
	THRESHOLD(2) = th1;
	THRESHOLD(3) = th2;
end;
storeset(set_in);

autoreject(set_in, fastif(apply, [], COMPREJECT), 1);

if ~apply
	THRESHOLD(2) = oldth2;
	THRESHOLD(3) = oldth3;
end;
storeset(set_in);

return;