% load a set and store it in the current set
% ------------------------------------------
function pop_compare( setlist);
eegglobal;

if nargin < 1

	% which set to save
	% -----------------
	promptstr    = { 'Enter a list of sets to compare (ex: 1 3 4):' };
	inistr       = { [ int2str(CURRENTSET-1) ' ' int2str(CURRENTSET) ] };
	result       = inputdlg( promptstr, 'Compare sets (blue=first set; red=sec. set)', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	setlist   	 = eval( [ '[' result{1} ']' ] );
end;

tracing = [];
for sets = setlist
	retreiveset(sets);
	SIGNAL   = reshape(SIGNAL, size(SIGNAL,1), PNTS, SWEEPS);
	tracing  = [ tracing squeeze(mean(SIGNAL,3))];
end;
figure;

% save channel names
% ------------------
if ~isempty(NAMECHAN)
	savechan( 'tmp.nam',  NAMECHAN);
	plotdata(tracing, PNTS, [XMIN*1000 XMAX*1000 0 0], 'Compare sets (red=first set; blue=second set)', 'tmp.nam');
else
	plotdata(tracing, PNTS, [XMIN*1000 XMAX*1000 0 0], 'Compare sets (red=first set; blue=second set)');
end;

SIGNAL =SIGNAL(:,:);
h(sprintf('pop_compare( [%d] );', setlist));
return;