function computeICA( set_in )
eegglobal;

if nargin < 1

	% popup window parameters
	% -----------------------
	promptstr    = { 'Enter the set number:' };
	inistr       = { '1' };
	result       = inputdlg( promptstr, 'Compute infomax ICA', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );

end;
if set_in == 0
	set_in = CURRENTSET;
end;

% retreive set 
% -------------
retreiveset(set_in);

%------------------------------
% compute ICA on a definite set
% -----------------------------
%[WEIGHTS,SPHERE,activations,bias,signs,lrates] = runica( signal(:,:), 'lrate', 0.001 );
% [ ICAcomp, sphere, weights] = fastica( signal );
%[WEIGHTS,SPHERE] = binica( SIGNAL(:,:));

[WEIGHTS,SPHERE] = runica( SIGNAL(:,:), 'lrate', 0.001 );
%WINV   = inv(WEIGHTS*SPHERE);
WINV    = pinv(WEIGHTS*SPHERE); % a priori same result as inv
ACT     = (WEIGHTS*SPHERE)*SIGNAL;

% ave as a new set
% ----------------
storeset(set_in);

return;









