function t1 = pop_selectcompo( set_in, numcompo, winhandle);
eegglobal;

retreiveset( set_in );

% trace the figure or retreive the figure
% ---------------------------------------
filename = sprintf('tmpfile%d_***%d.m', set_in, numcompo);
if exist( filename );
	eval(filename);
else
	figcompo;
end;	

%uicontrol(gcf, 'Units','Normalized', 'Position',[-10 -2 115 5].*s+q, 'Style', 'frame' );
%uicontrol(gcf, 'Units','Normalized', 'Position',[-7 -1 35 3].*s+q, 'String', sprintf('Entropy: %6f', ENTROPYC(numcompo)), 'Style','text', 'HorizontalAlignment', 'left' );
%uicontrol(gcf, 'Units','Normalized', 'Position',[20 -1 45 3].*s+q, 'String', sprintf('Var. Accept trials: %0.6f', TMPEEG1(numcompo)), 'Style','text', 'HorizontalAlignment', 'center' );
%uicontrol(gcf, 'Units','Normalized', 'Position',[60 -1 45 3].*s+q, 'String', sprintf('Var. Reject trials: %0.6f', TMPEEG2(numcompo)), 'Style','text', 'HorizontalAlignment', 'right' );

% CANCEL button
% -------------
h  = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'Cancel', 'Units','Normalized','Position',[-10 -10 15 6].*s+q, 'callback', 'close(gcf);');

% Value button
% ------------
h  = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'Values', 'Units','Normalized', 'Position', [15 -10 15 6].*s+q, 'callback', ['pop_dispval('  int2str(set_in) ',' int2str(numcompo) ');']);

% REJECT button
% -------------
hr = uicontrol(gcf, 'Style', 'pushbutton', 'backgroundcolor', fastif(COMPREJECT(numcompo),'r','g'), 'string', fastif(COMPREJECT(numcompo), 'REJECTED', 'ACEPTED'), 'Units','Normalized', 'Position', [40 -10 15 6].*s+q );
%hr = uicontrol(gcf, 'Style', 'pushbutton', 'backgroundcolor', get(winhandle, 'backgroundcolor'), 'string', fastif(get(winhandle, 'backgroundcolor') == [1 0 0], 'REJECTED', 'ACEPTED'), 'Units','Normalized', 'Position', [40 -10 15 6].*s+q );
command = sprintf('if all(get(%3.15f,''backgroundcolor'') == [1 0 0]) set(%3.15f, ''backgroundcolor'', ''g'', ''string'', ''ACEPTED''); else set(%3.15f, ''backgroundcolor'', ''r'', ''string'', ''REJECTED''); end;', hr, hr, hr);
% alternative sprintf('changecol( %3.15f,''r'', ''g'', ''REJECTED'', ''ACEPTED'');', hr)
set( hr, 'callback', command); 

% HELP button
% -------------
h  = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'HELP', 'Units','Normalized', 'Position', [65 -10 15 6].*s+q, 'callback', 'pop_comphelp;');

% OK button
% ---------
h  = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'OK', 'Units','Normalized', 'Position',[90 -10 15 6].*s+q, 'callback', '');
command = sprintf('compreject(%d,%d); if all(get(%3.15f,''backgroundcolor'') == [1 0 0]) set(%3.15f, ''backgroundcolor'', ''r''); else set(%3.15f, ''backgroundcolor'', ''g''); end; close(gcf);', ...
				set_in, numcompo, hr, winhandle, winhandle );
set( h, 'callback', command); 

return;

