% store set
% ------------------
function storeset( storeSetIndex);
eegconst;
eegglobal;

if nargin < 1
	error('Not enought arguments');
	return;
end;	

EEGSET(off_setname, storeSetIndex)      = { SETNAME };
EEGSET(off_filename, storeSetIndex)     = { FILENAME };
EEGSET(off_filepath, storeSetIndex)     = { FILEPATH };
EEGSET(off_chan_names, storeSetIndex) 	= { NAMECHAN };
EEGSET(off_poschan, storeSetIndex) 	    = { POSCHAN };
EEGSET(off_pnts, storeSetIndex) 		= { PNTS };
EEGSET(off_sweeps, storeSetIndex) 		= { SWEEPS };
EEGSET(off_rate, storeSetIndex) 		= { RATE };
EEGSET(off_xmin, storeSetIndex) 		= { XMIN };
EEGSET(off_xmax, storeSetIndex) 		= { XMAX };
EEGSET(off_accept   , storeSetIndex) 	= { ACCEPT };
EEGSET(off_typeeeg  , storeSetIndex) 	= { EEGTYPE };
EEGSET(off_rt       , storeSetIndex) 	= { RT };
EEGSET(off_response , storeSetIndex) 	= { EEGRESP };
EEGSET(off_signal   , storeSetIndex) 	= { SIGNAL };
EEGSET(off_sphere   , storeSetIndex) 	= { SPHERE };
EEGSET(off_weights  , storeSetIndex) 	= { WEIGHTS };
EEGSET(off_winv     , storeSetIndex) 	= { WINV };
EEGSET(off_activations  , storeSetIndex) = { ACT };
EEGSET(off_entropytrial , storeSetIndex) = { ENTROPYT };
EEGSET(off_entropycompo , storeSetIndex) = { ENTROPYC };
EEGSET(off_threshold    , storeSetIndex) = { THRESHOLD };
EEGSET(off_comporeject  , storeSetIndex) = { COMPREJECT };
EEGSET(off_sigreject    , storeSetIndex) = { SIGREJECT };
EEGSET(off_entropyA     , storeSetIndex) = { ENTA };
EEGSET(off_entropyR     , storeSetIndex) = { ENTR };
EEGSET(off_kurtA        , storeSetIndex) = { KURTA };
EEGSET(off_kurtR        , storeSetIndex) = { KURTR };
EEGSET(off_kurtDST      , storeSetIndex) = { KURTD };
EEGSET(off_tmp1         , storeSetIndex) = { TMPEEG1 };
EEGSET(off_tmp2         , storeSetIndex) = { TMPEEG2 };
EEGSET(off_tmp3         , storeSetIndex) = { TMPEEG3 };
EEGSET(off_tmp4         , storeSetIndex) = { TMPEEG4 };

CURRENTSET = storeSetIndex;

return;