% assumed input is numcompo
% -------------------------

fh = figure;
%set(gcf,'MenuBar', 'none');
pos = get(gcf,'Position');
set(gcf,'Position', [pos(1) pos(2) 500 500]);
pos = get(gca,'position'); % plot relative to current axes
hh = gca;
q = [pos(1) pos(2) 0 0];
s = [pos(3) pos(4) pos(3) pos(4)]./100;
axis off;

h = axes('Units','Normalized', 'Position',[-10 60 40 42].*s+q);
topoplot( WINV(:,numcompo), POSCHAN); axis square; title(['Topoplot component ' int2str(numcompo)]);
h = axes('Units','Normalized', 'Position',[45 60 60 42].*s+q);
erpimage( ACT(numcompo,:), RT, [XMIN*1000:1000*(XMAX-XMIN)/(PNTS-1):XMAX*1000], '', 3, 1); title('ERP Trials image');
h = axes('Units','Normalized', 'Position',[-10 5 40 42].*s+q);
laplac = del2map( WINV(:,numcompo), POSCHAN, 0);
topoplot( laplac, POSCHAN); axis square; title('Laplacian');
set(h, 'Xticklabel', [], 'Yticklabel', []);
h = axes('Units','Normalized', 'Position',[45 5 60 42].*s+q);
try
	erps = timef_( ACT(numcompo,1:100*PNTS), PNTS,[(XMIN*1000) (XMAX*1000-1)], 'ERP power spectrum', RATE, 0, 128, 100, 2, RATE/4 );
catch
	axis off;
	text(0.1, 0.4, 'Error: no spectrum ploted');
end;	

