% plot the  EEG or AVG set
% ------------------------
function plotSet(typeplot, set_in)
eegglobal;

if nargin < 1
	typeplot = 1; %1=signal; 0=component
end;
if set_in == 0
	set_in = CURRENTSET;
end;

retreiveset(set_in);
figure;
if typeplot == 1
	sigtmp = SIGNAL;
else
	sigtmp = ACT;
end;
sigtmp = reshape(sigtmp, size(sigtmp,1), PNTS, SWEEPS); 

% save channel names
% ------------------
if ~isempty(NAMECHAN) & typeplot
	savechan( 'tmp.nam',  NAMECHAN);
	plotdata(mean(sigtmp,3), PNTS, [XMIN*1000 XMAX*1000 0 0], [SETNAME ' ' FILENAME], 'tmp.nam');
else
	plotdata(mean(sigtmp,3), PNTS, [XMIN*1000 XMAX*1000 0 0], [SETNAME ' ' FILENAME]);
end;

h(sprintf('plotavg(%d);', set_in));
return;
