function pop_dispval( set_in, index);
eegglobal;

retreiveset(set_in);

% proba for signal
% ----------------
P = KURTA{2}; TMPVAL = KURTA{1}; prob1 = P(1)* TMPVAL(index) + P(2); if prob1 < 0 prob1=0; end; if prob1 > 1 prob1=1; end;	
P = KURTR{2}; TMPVAL = KURTR{1}; prob2 = P(1)* TMPVAL(index) + P(2); if prob2 < 0 prob2=0; end; if prob2 > 1 prob2=1; end;	
P = ENTA {2}; TMPVAL = ENTA {1}; prob3 = P(1)* TMPVAL(index) + P(2); if prob3 < 0 prob3=0; end; if prob3 > 1 prob3=1; end;	
P = ENTR {2}; TMPVAL = ENTR {1}; prob4 = P(1)* TMPVAL(index) + P(2); if prob4 < 0 prob4=0; end; if prob4 > 1 prob4=1; end;	
globalproba = ( prob1 + prob2 + prob3 + prob4 ) / 4;

% proba for channel distribution
% ------------------------------
P = KURTD{2}; TMPVAL = KURTD{1}; distproba = (P(1)* TMPVAL(index) + P(2)); 
if distproba < 0 distproba=0; end; if distproba > 1 distproba=1; end;	

TMPREJECT( index ) = 0;
if 	globalproba > THRESHOLD(2) TMPREJECT = 1; end;
if 	distproba   > THRESHOLD(3) TMPREJECT = 1; end;

% draw the figure
% ---------------
figure;
set(gcf,'MenuBar', 'none', 'name', 'Value of the component', 'numbertitle', 'off');

pos = get(gcf,'Position');
set(gcf,'Position', [pos(1) pos(2) 300 280]);
pos = get(gca,'position'); % plot relative to current axes
q = [pos(1) pos(2) 0 0];
s = [pos(3) pos(4) pos(3) pos(4)]./100;
axis off;

txt1 = sprintf(['Entropy accepted trials\t%2.2f\n' ...
			    'Entropy rejected trials\t%2.2f\n' ...
			    'Kurtosis accepted trials\t%2.2f\n' ...
			    'Kurtosis rejected trials\t%2.2f\n' ...
			    '                     \t\t----\n' ...
			    'Mean value for rejection\t%2.2f\n' ...
			    'Rejection threhold   \t\t%2.2f\n\n' ...
			    'Kurtosis distibution \t\t%2.2f\n' ...
			    'Rejection threhold   \t\t%2.2f\n\n' ...
			    'The algorithm advice to %s the component\n\n', ...
			    '(when you''re finished accepting/rejecting component, you might recalibrate the algorithm so it will be more accurate. Your calibration can then be reused on other data sets)'], ...
				prob1, prob2, prob3, prob4, globalproba, THRESHOLD(2), distproba, THRESHOLD(3), fastif(TMPREJECT, 'REJECT', 'ACCEPT'));
				
uicontrol(gcf, 'Units','Normalized', 'Position',[-11 4 117 100].*s+q, 'Style', 'frame' );
uicontrol(gcf, 'Units','Normalized', 'Position',[-5 5 100 95].*s+q, 'String', txt1, 'Style','text', 'HorizontalAlignment', 'left' );
h = uicontrol(gcf, 'Style', 'pushbutton', 'string', 'Close', 'Units','Normalized', 'Position', [35 -10 25 10].*s+q, 'callback', 'close(gcf);');

return;