function res = pop_editset( set_in );
eegglobal;

if nargin < 1

	% which set to edit
	% -----------------
	promptstr    = { 'Enter the set to edit:' };
	inistr       = { int2str(CURRENTSET) };
	result       = inputdlg( promptstr, 'Edit set', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );
end;
if set_in == 0
	set_in = CURRENTSET;
end;

  endprompt = 0;
  retreiveset( set_in );  
  while (endprompt == 0)

	% popup window parameters	
	% -----------------------
	promptstr    = { 'Number of the set:*', ...
					 'Name of the data array or file(use floatread):*',...
					 'Number of channels:*', ...
					 'Number of points per frames (if EEG put 0):*', ...
					 'Channel position array or file(.loc file):', ...
					 'Trials'' rt array or file(use floatread):',...
					 'Trials'' type array or file(use floatread):',...
					 'Sampling rate(Hz), data won''t be resampled:',...
					 'Minimal time(ms):',...
					 'Maximal time(ms):',...
					 'Name of the set:', ...
					 'ICA sphere array:', ...
					 'ICA weight array:', ...
					 };
	inistr       = { int2str(set_in), ... 
					 'SIGNAL', ...
					 num2str(size(SIGNAL,1)) , ...
					 num2str(PNTS), ...
					 fastif(isempty(POSCHAN), '', POSCHAN), ...
					 fastif(isempty(RT), '', 'RT'), ...
					 fastif(isempty(EEGTYPE), '', 'EEGTYPE'), ...
					 num2str(RATE), ...
					 num2str(XMIN), ...
					 num2str(XMAX), ...
					 SETNAME, ...
					 fastif(isempty(SPHERE), '', 'SPHERE'), ...
					 fastif(isempty(WEIGHTS), '', 'WEIGHTS') };
					 
	result       = inputdlg( promptstr, 'Edit set parameters', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 res = 0; return; end;

	res = pop_newset( result{1}, result{2},  result{3}, result{4}, result{5}, result{6}, result{7}, result{8}, result{9}, result{10}, result{11} ); 
	if res == 1
		if ~isempty(result{12})
			try
				W = eval(result{12}) * eval(result{13});
				STMP = W*SIGNAL( :, 1);
			catch
				fprintf('Error in ICA arrays (check the name or the size) and retry\n');
				res = 0;
			end;
			if res ~= 0 
				SPHERE  = eval(result{12});
				WEIGHTS = eval(result{13});
				storeset(CURRENTSET);
			end;
		else
			SPHERE  = [];
			WEIGHTS = [];
			storeset(CURRENTSET);
	end;
	end;
	if res == 1 endprompt=1; end;
  end;
  if CURRENTSET ~= set_in pop_delset(set_in); end;

res = 1;
return;








