% load a set and store it in the current set
% ------------------------------------------
function pop_saveset( set_in, curfilename, curfilepath);
eegglobal;
eegconst;

if nargin < 3
	% which set to save
	% -----------------
	promptstr    = { 'Enter the set to save:' };
	inistr       = { '1' };
	result       = inputdlg( promptstr, 'Save set', 1,  inistr);
	size_result  = size( result );
	if size_result(1) == 0 return; end;
	set_in   	 = eval( result{1} );

	[curfilename, curfilepath] = uiputfile('*.set', 'Save a set');
	if curfilename == 0 return; end;
end;

FILENAME = curfilename;
FILEPATH = curfilepath;
ACT      = '';
storeset( set_in )

cellArray =  EEGSET(:, set_in);
command = sprintf('save -MAT %s cellArray', [ curfilepath curfilename ]);
eval(command);

h(sprintf('pop_saveset( %d, ''%s'', ''%s'');', set_in, curfilename, curfilepath));

return;